{
  config,
  pkgs,
  lib,
  ...
}: {
  imports = [
    ../common
    ./hardware-configuration.nix

    (import ../../modules).bigding

    ./tmux.nix
  ];

  # Force disable the common boot loader
  boot.loader.systemd-boot.enable = lib.mkForce false;
  boot.loader.efi.canTouchEfiVariables = lib.mkForce false;

  # Use the GRUB 2 boot loader.
  boot.loader.grub.enable = true;
  boot.loader.grub.device = "/dev/sda"; # or "nodev" for efi only

  networking = {
    hostName = "bigding";
    interfaces.ens3.useDHCP = true;

    firewall = {
      allowedTCPPortRanges = [
        {
          from = 12500;
          to = 12515;
        }
      ];
      allowedUDPPortRanges = [
        {
          from = 12500;
          to = 12515;
        }
      ];
      interfaces = {
        "tailscale0" = {
          allowedUDPPorts = [41641];
        };
      };
    };
  };

  services.syncthing = {
    settings = {
      gui = {
        insecureSkipHostcheck = true;
      };
    };
    guiAddress = "localhost:8387";
  };

  environment.systemPackages = with pkgs; [
    helix
    kitty # For terminfo
    lazygit
  ];

  system.stateVersion = "21.11"; # Did you read the comment?
}
